Update a preference.
curl --request PUT \
--url https://api.revong.com/api/v1/preferences/{preferenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"referenceType": "<string>",
"version": 123,
"desc": "<string>",
"reference": "<string>",
"global": true,
"default": true,
"autoFit": true,
"data": [
"<array>"
]
}
'import requests
url = "https://api.revong.com/api/v1/preferences/{preferenceId}"
payload = {
"name": "<string>",
"referenceType": "<string>",
"version": 123,
"desc": "<string>",
"reference": "<string>",
"global": True,
"default": True,
"autoFit": True,
"data": ["<array>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
referenceType: '<string>',
version: 123,
desc: '<string>',
reference: '<string>',
global: true,
default: true,
autoFit: true,
data: ['<array>']
})
};
fetch('https://api.revong.com/api/v1/preferences/{preferenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Preferences
Update a preference.
USER: true SERVICE ACCOUNT: true
PUT
/
api
/
v1
/
preferences
/
{preferenceId}
Update a preference.
Authorizations
Bearer token with Platform JWT token or API Key.
Path Parameters
Body
application/json
You must specify name.
You must specify reference type (e.g. users/groups etc.), allowed pattern: "a-zA-Z-0-9_".
You must provide current version.
You can specify desc.
Id of reference
You can specify if preference is shared with everyone else ('false' by default).
You can specify if preference is default ('false' by default).
You can specify if accessing to this preference force 'Auto fit fill columns' when accessing ('false' by default).
You can provide details.
Response
OK.
⌘I

